#include <stdio.h>
#include <string.h>

int total, gene_no, i, j;
char *s1[20], *s2[20], *s3[20], *s4[20], SNP1[20], SNP2[20];
char SNP_name[2000][20];
long SNP_pos[2000], region[1000][2];
double SNP_weight[2000];
float r2;
int SNP_gene_no;

void main()
{
	FILE *f1, *f3, *f4;
	f1 = fopen("SNP_positions.txt", "r");
	f3 = fopen("gene_regions.txt", "r");
	f4 = fopen("weight.txt", "w");
	

	total = 0;
	while ( !feof(f1) )
	{
		fscanf(f1, "%s %ld %s\n", SNP_name[total], &SNP_pos[total], s3);
		total++;
	}

	gene_no = 0;
	while ( !feof(f3) )
	{
		fscanf(f3, "%s %s %s %ld %ld\n", s1, s2, s3, &region[gene_no][0], &region[gene_no][1] );
		gene_no++;
	}

	SNP_gene_no = 0;
	for ( i = 0; i < total; i++ )
	{
		SNP_weight[i] = 0.4;
	}
	for ( i = 0; i < total; i++ )
	{
		for ( j = 0; j < gene_no; j++)
		{
			if ( SNP_pos[i] >= region[j][0] && SNP_pos[i] <= region[j][1] && SNP_weight[i] == 0.4 )
			{
				SNP_weight[i] = 0.8;
				SNP_gene_no++;
			}
		}
	}

	for ( i = 0; i < total; i++ )
	{
		fprintf(f4, "%s	%f\n", SNP_name[i], SNP_weight[i] );
	}

	fclose(f1);
	fclose(f3);
	fclose(f4);

}